<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Card</title>
    <style>
        body {
            background-image: linear-gradient(#AC46A1, #C05299, #D55D92, #EA698B);
        }

        * {
          box-sizing: border-box;
        }

        @media screen and (max-width: 600px) {
            .column {
                width: 100%;
                display: block;
                margin-bottom: 20px;
            }
        }

        .header {
            background-image: linear-gradient(#b5179e, #D100D1, #D100D1, #b5179e);
            padding: 20px;
            text-align: center;
            color: white;
            font-size: 30px;
            border-radius: 10px;
        }

        .card {
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
            transition: 0.1s;
            width: 30%;
            border-radius: 5px;
            background-image: linear-gradient(#a100f2, #b100e8, #bc00dd, #d100d1, #db00b6, #e500a4);
            color: white;
        }

        .card:hover {
            box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
        }

        .container {
            padding: 2px 16px;
        }

        .wrapper {
            display: flex;
            gap: 32px;
            flex-wrap: wrap;
            justify-content: center;
            margin-top: 32px;
        }

        h3 {
            text-align: center
        }
   </style>
</head>
<body>
    {% include "lab4_navbar.html" %}

    <div class="header">
        <h1>KARTU PESAN</h1>
        <p>Selamat membaca!</p>
    </div>
    <div class="wrapper">
        {% for note in notes %}
        <div class="card">
            <div class="container">
            <h3><b>{{note.judul}}</b></h3>
            <p><b>Pengirim:</b> {{note.pengirim}}</p>
            <p><b>Penerima:</b> {{note.penerima}}</p>
            <p><b>Isi Pesan:</b></p>
            <p>{{note.pesan}}</p>
            </div>
        </div>
        {% endfor %}
    </div>

</body>
</html>
